<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>netcoreapp3.1</TargetFramework>
        <IsPackable>false</IsPackable>
        <RootNamespace>ppl.Test</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="coverlet.msbuild" Version="2.9.0">
            <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
            <PrivateAssets>all</PrivateAssets>
        </PackageReference>
        <PackageReference Include="FakeItEasy" Version="6.1.0" />
        <PackageReference Include="Microsoft.AspNetCore.Mvc.Testing" Version="3.1.5" />
        <PackageReference Include="Microsoft.Data.Sqlite.Core" Version="3.1.5" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.5" />
        <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.6.1" />
        <PackageReference Include="Moq" Version="4.14.4" />
        <PackageReference Include="xunit" Version="2.4.1" />
        <PackageReference Include="xunit.runner.visualstudio" Version="2.4.2">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
        </PackageReference>
        <PackageReference Include="xunit.runner.console" Version="2.4.1">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
        </PackageReference>
        <PackageReference Include="FluentAssertions" Version="5.10.3" />
        <PackageReference Include="FluentAssertions.AspNetCore.Mvc" Version="2.4.0" />
        <PackageReference Include="FluentAssertions.Json" Version="5.5.0" />
    </ItemGroup>


    <ItemGroup>
        <ProjectReference Include="..\..\src\Box\Box.csproj" />
        <ProjectReference Include="..\..\src\Box.Domain\Box.Domain.csproj" />
        <ProjectReference Include="..\..\src\Box.Dto\Box.Dto.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Content Update="xunit.runner.json">
            <CopyToOutputDirectory>Always</CopyToOutputDirectory>
        </Content>
    </ItemGroup>

</Project>
